MPI_Barrier(3)

NAME
MPI_Barrier - Blocks until all processes have reached this routine.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Barrier(MPI_Comm comm)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_BARRIER(COMM, IERROR)
	INTEGER	COMM, IERROR

C++ Syntax
import mpi.*;
void MPI.COMM_WORLD.Barrier()

Java Syntax
#include <mpi.h>
void MPI::Comm::Barrier() const = 0

INPUT PARAMETER

comm
    Communicator (handle).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Blocks the caller until all group members have called it; the call returns at any process only after all group members have entered the call.

WHEN COMMUNICATOR IS AN INTER-COMMUNICATOR

When the communicator is an inter-communicator, the barrier operation is performed across all processes in both groups. All processes in the first group may exit the barrier when all processes in the second group have entered the barrier.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO
MPI_Bcast